use poise;

use crate::types::{Context, Error};

#[poise::command(
    slash_command,
    description_localized("en-US", "Make me say something!")
)]
pub async fn say(ctx: Context<'_>,
    #[description = "What will you make me say this time? 🙃"]
    message: String
) -> Result<(), Error> {
    ctx.say(message).await?;
    Ok(())
}